Bug 216700 - [NEW PORT] databases/pecl-redis
Summary: [NEW PORT] databases/pecl-redis
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-01 15:50 UTC by Daniel Ylitalo
Modified: 2017-02-15 14:59 UTC (History)
3 users (show)

See Also:


Attachments
Diff that merges php*-redis into pecl-redis (11.88 KB, patch)
2017-02-01 15:50 UTC, Daniel Ylitalo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Ylitalo 2017-02-01 15:50:47 UTC
Created attachment 179497 [details]
Diff that merges php*-redis into pecl-redis

With release 3.1.1 both the 5.6 module and 7.* module is compiled from the same source.

This patch merges
php56-redis
php70-redis
php71-redis

into

pecl-redis

After this, this port will work like all the other php pecl- ports.

If anyone of the php56-redis or php70-redis maintainers wishes to grab this they are free todo so, I'm just maintaining php71-redis and submited this with me as maintainer to get the ball rolling.

This should fix all messes with this module in the ports tree :)

Changelog:
https://pecl.php.net/package-changelog.php?package=redis&release=3.1.1

Passses poudriere testport and portlint -AC without issues
Comment 1 m.tsatsenko 2017-02-02 23:19:47 UTC
Seems for me a good idea having one pecl-redis ports instead of multiple phpXX-redis ports
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-03 06:03:43 UTC
php56-redis: m.tsatsenko@gmail.com, approved
php70-redis: joshruehlig@gmail.com
php71-redis: daniel@blodan.se, approved
Comment 3 townwear 2017-02-09 02:50:35 UTC
If it becomes only database/pecl-redis, PHP version will be decided arbitrarily when binary installing with pkg,
I want php56-redis and php70-redis and php71-redis to exist also in pkg repository.
Comment 4 commit-hook freebsd_committer 2017-02-15 14:58:20 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Feb 15 14:57:37 UTC 2017
New revision: 434179
URL: https://svnweb.freebsd.org/changeset/ports/434179

Log:
  Add pecl-redis 3.1.1 (copied from php56-redis and updated to 3.1.1)

  - Remove databases/php56-redis, databases/php70-redis and databases/php71-redis
  - Add MOVED entries
  - While I'm here, add LICENSE_FILE

  Changes:	https://pecl.php.net/package-changelog.php?package=redis
  PR:		216700
  Submitted by:	Daniel Ylitalo <daniel@blodan.se> (maintainer of databases/php71-redis)
  Approved by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com> (maintainer of databases/php56-redis),
  		Joshua Ruehlig <joshruehlig@gmail.com> (maintainer of databases/php70-redis, timeout, 14 days)

Changes:
  head/MOVED
  head/databases/Makefile
  head/databases/pecl-redis/
  head/databases/pecl-redis/Makefile
  head/databases/pecl-redis/distinfo
  head/databases/pecl-redis/pkg-descr
  head/databases/php56-redis/
  head/databases/php70-redis/
  head/databases/php71-redis/
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-15 14:59:37 UTC
Committed. Thanks!